blank screen after logging in

Everything about X, Gnome, KDE, ... and everything running on it

blank screen after logging in

Postby canti » 2018-09-14 07:02

Dear all,

Since one week I face a blank screen with mouse cursor only (movable cursor, but can't do anything with this). Before that everything went fine. It seems that a regular update broke something with the graphical Gnome 3 environment (from previous posts here I read it is probably caused by the update of Xorg). In the login screen I have the following options to select:
    Default Xsession
    Gnome flashback (metacity)
    Gnome
    Gnome on Wayland
    System default X11 default
The first, the third and the fifth option results in blank screen as described above. The second option went smooth and I can enter in the Gnome flashback environment which is similar to Gnome 2. The fourth option results in turning back automatically to the login screen after showing a blank screen for one, two seconds.

This does not matter if I am using gdm3 or lightdm: the results are the same.

I use Debian stretch with Gnome 3.

Few outputs for information:
lspci -nn | egrep -i "3d|display|vga"
Code: Select all
00:02.0 VGA compatible controller [0300]: Intel Corporation HD Graphics 530 [8086:191b] (rev 06)
01:00.0 3D controller [0302]: NVIDIA Corporation GM107M [GeForce GTX 950M] [10de:139a] (rev ff)

I have bumblebee installed.

uname -a
Code: Select all
Linux Envy 4.9.0-8-amd64 #SMP Debian 4.9.110-3+deb9u4 (2018-08-21) x86_64 GNU/Linux


systemctl status gdm.service (within Gnome flashback):
Code: Select all
gdm.service - GNOME Display Manager
   Loaded: loaded (/lib/systemd/system/gdm.service; static; vendor preset: enabled)
   Active: active (running) since Fri 2018-09-14 08:37:08 CEST; 53min ago
  Process: 4222 ExecStartPre=/usr/share/gdm/generate-config (code=exited, status=0/SUCCESS)
  Process: 4217 ExecStartPre=/bin/sh -c [ "$(cat /etc/X11/default-display-manager 2>/dev/null)" = "/usr/sbin/gdm3" ] (code=exited, status=0/SUCCESS)
 Main PID: 4238 (gdm3)
    Tasks: 3 (limit: 4915)
   CGroup: /system.slice/gdm.service
           └─4238 /usr/sbin/gdm3


What can I do to get Gnome 3 back?
HP Pavilion Entertainment PC d7 4GB 64bits, containing Debian Jessie (Gnome 3), Ubuntu 15.10 (xfce) and Windows Vista
HP Envy 17 n120nd containing Debian Stretch (Gnome 3)
canti
 
Posts: 69
Joined: 2011-01-31 12:57
Location: The Netherlands

Re: blank screen after logging in

Postby debiman » 2018-09-15 10:46

you have to fix your graphics session to support hardware accelaration.
not sure how to do this with dual graphics...
User avatar
debiman
 
Posts: 3064
Joined: 2013-03-12 07:18

Re: blank screen after logging in

Postby canti » 2018-09-15 20:55

Yes, it could be something with the hardware acceleration. Bumblebee issue? Nvidia issue? When I tried with "rmmod nvidia" within tty, I got the message that nvidia was not running. I don't know what to do. Or just wait until the new update of xorg? I hope someone can help me here...
HP Pavilion Entertainment PC d7 4GB 64bits, containing Debian Jessie (Gnome 3), Ubuntu 15.10 (xfce) and Windows Vista
HP Envy 17 n120nd containing Debian Stretch (Gnome 3)
canti
 
Posts: 69
Joined: 2011-01-31 12:57
Location: The Netherlands

Re: blank screen after logging in

Postby debiman » 2018-09-16 06:18

is this a laptop?

in any case, output of
Code: Select all
lspci -k | grep -iEA5 'vga|3d|display'
please.

and...
https://www.startpage.com/do/dsearch?qu ... l+graphics
for desktop
or
https://www.startpage.com/do/dsearch?qu ... d+graphics
for laptop
User avatar
debiman
 
Posts: 3064
Joined: 2013-03-12 07:18

Re: blank screen after logging in

Postby canti » 2018-09-19 14:08

debiman wrote:is this a laptop?

Yes, it is. A HP Envy 17 model.

in any case, output of
Code: Select all
lspci -k | grep -iEA5 'vga|3d|display'
please.

    00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
    Subsystem: Hewlett-Packard Company HD Graphics 530
    Kernel driver in use: i915
    Kernel modules: i915
    00:14.0 USB controller: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller (rev 31)
    Subsystem: Hewlett-Packard Company Sunrise Point-H USB 3.0 xHCI Controller
    --
    01:00.0 3D controller: NVIDIA Corporation GM107M [GeForce GTX 950M] (rev ff)
    Kernel modules: nvidia
    07:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 15)
    Subsystem: Hewlett-Packard Company RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
    Kernel driver in use: r8169
    Kernel modules: r8169

Thanks for the link to the startpage. Running the intel gpu and Nvidia gpu seem fine:
Code: Select all
$ glxinfo | grep OpenGL

    OpenGL vendor string: Intel Open Source Technology Center
    OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2)
    OpenGL core profile version string: 4.5 (Core Profile) Mesa 13.0.6
    OpenGL core profile shading language version string: 4.50
    OpenGL core profile context flags: (none)
    OpenGL core profile profile mask: core profile
    OpenGL core profile extensions:
    OpenGL version string: 3.0 Mesa 13.0.6
    OpenGL shading language version string: 1.30
    OpenGL context flags: (none)
    OpenGL extensions:
    OpenGL ES profile version string: OpenGL ES 3.2 Mesa 13.0.6
    OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
    OpenGL ES profile extensions:

Code: Select all
$ optirun glxinfo | grep OpenGL

    OpenGL vendor string: NVIDIA Corporation
    OpenGL renderer string: GeForce GTX 950M/PCIe/SSE2
    OpenGL core profile version string: 4.5.0 NVIDIA 384.130
    OpenGL core profile shading language version string: 4.50 NVIDIA
    OpenGL core profile context flags: (none)
    OpenGL core profile profile mask: core profile
    OpenGL core profile extensions:
    OpenGL version string: 4.5.0 NVIDIA 384.130
    OpenGL shading language version string: 4.50 NVIDIA
    OpenGL context flags: (none)
    OpenGL profile mask: (none)
    OpenGL extensions:

Running
Code: Select all
$ optirun glxgears -info
shows that bumblebee works well with the Optimus system.

On https://github.com/Bumblebee-Project/bbswitch#disable-card-on-boot I see a possible solution to disable card on boot and see what happened. I hope I will not break the system. But as I'm not highly experienced Debin-user, I'd like to know first your opinion based on above. And if agreed to use the possible solution, should I create /etc/modprobe.d/bbswitch.conf and add there "options bbswitch load_state=0"?
HP Pavilion Entertainment PC d7 4GB 64bits, containing Debian Jessie (Gnome 3), Ubuntu 15.10 (xfce) and Windows Vista
HP Envy 17 n120nd containing Debian Stretch (Gnome 3)
canti
 
Posts: 69
Joined: 2011-01-31 12:57
Location: The Netherlands

Re: blank screen after logging in

Postby canti » 2018-09-23 05:46

Unfortunately, I'm still struggling to get the normal Gnome 3 environment back after login. I have very limited knowledge of nvidia, bumblebee, Optimus, etc. to solve this issue. In any case I have a graphical login which probably mean that (one of the) graphical cards are/is working. As said, after login the screen went blank with only movable mouse cursor. I can enter the Gnome fallback environment. So perhaps it is a 3D issue and hence a Nvidia case?

I tried without nvidia by removing bumblebee-nvidia. The result is hanging during the (re)boot process before the graphical login screen. So I do need the nvidia-bumblebee package.

There is a strange outcome: while
Code: Select all
$ optirun glxinfo | grep OpenGL
and
Code: Select all
$ optirun glxgears -info
show that nvidia is available and 3D image can be shown,

Code: Select all
$ xrandr --listproviders
gives
    Providers: number : 1
    Provider 0: id: 0x44 cap: 0xf, Source Output, Sink Output, Source Offload, Sink Offload crtcs: 3 outputs: 2 associated providers: 0 name:modesetting
hence 1 line where I expected two lines because of the two graphic cards. I don't know if I'm looking in the right direction for a solution since I can have the graphical login screen but no graphical screen of Gnome 3 after that.

I don't know what to do. Everything went fine until a big update few weeks ago (I believe there were about 60-70 packages ready for upgrade). I hope someone can help me...
HP Pavilion Entertainment PC d7 4GB 64bits, containing Debian Jessie (Gnome 3), Ubuntu 15.10 (xfce) and Windows Vista
HP Envy 17 n120nd containing Debian Stretch (Gnome 3)
canti
 
Posts: 69
Joined: 2011-01-31 12:57
Location: The Netherlands

Re: blank screen after logging in

Postby sunrat » 2018-09-23 23:55

canti wrote:Everything went fine until a big update few weeks ago (I believe there were about 60-70 packages ready for upgrade). I hope someone can help me...

There should not be big updates like that in Stretch. I suspect you have incompatible repositories.
Post
Code: Select all
apt policy
or better
Code: Select all
inxi -r

inxi may need to be installed.
Also check what was updated in /var/log/apt/history.log and post that.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 2495
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: blank screen after logging in

Postby canti » 2018-09-24 19:27

output of
Code: Select all
inxi -r

Code: Select all
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://deb.debian.org/debian/ stretch main contrib non-free
           deb-src http://deb.debian.org/debian/ stretch main contrib non-free
           deb http://security.debian.org/ stretch/updates main contrib non-free
           deb-src http://security.debian.org/ stretch/updates main contrib non-free
           deb http://deb.debian.org/debian stretch-updates main contrib non-free
           deb-src http://deb.debian.org/debian stretch-updates main contrib non-free
           deb http://ftp.debian.org/debian stretch-backports main
           deb-src http://ftp.debian.org/debian stretch-backports main
           Active apt sources in file: /etc/apt/sources.list.d/spotify.list
           deb http://repository.spotify.com stable non-free


output of /var/log/apt/history.log (with nano I cannot put the output here, with gedit this is possible, hence at the bottom line you'll find gedit :D )
Code: Select all
Start-Date: 2018-09-04  22:02:47
Commandline: apt upgrade
Upgrade: gir1.2-lokdocview-0.1:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-wiki-publisher:amd64 (1.2.0+LibO6.1.1~rc1-1~bpo9+1, 1.2.0+LibO6.1.1~rc1-2~bpo9+1), libreoffice-math:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-script-provider-js:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-report-builder-bin:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-sdbc-postgresql:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreofficekit-data:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-gtk3:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-java-common:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-base:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-core:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), liblibreofficekitgtk:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-l10n-nl:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-sdbc-firebird:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), python3-uno:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-script-provider-python:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-base-core:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-ogltrans:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-impress:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-style-elementary:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-help-nl:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-help-common:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-evolution:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-style-colibre:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), ure:amd64 (6.1.1~rc1-1~bpo9+1, 6.1.1~rc1-2~bpo9+1), libreoffice-sdbc-hsqldb:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-writer:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-common:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-script-provider-bsh:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-pdfimport:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-report-builder:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), uno-libs3:amd64 (6.1.1~rc1-1~bpo9+1, 6.1.1~rc1-2~bpo9+1), libreoffice-style-tango:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-help-en-us:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-gnome:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-calc:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-base-drivers:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-draw:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1), libreoffice-avmedia-backend-gstreamer:amd64 (1:6.1.1~rc1-1~bpo9+1, 1:6.1.1~rc1-2~bpo9+1)
End-Date: 2018-09-04  22:03:13

Start-Date: 2018-09-04  22:06:27
Commandline: apt autoremove
Remove: dleyna-renderer:amd64 (0.4.0-1+b1), gir1.2-gfbgraph-0.2:amd64 (0.2.3-1+b2), linux-headers-4.9.0-6-amd64:amd64 (4.9.88-1+deb9u1), gir1.2-gtkchamplain-0.12:amd64 (0.12.15-1), linux-image-4.9.0-6-amd64:amd64 (4.9.88-1+deb9u1), gir1.2-champlain-0.12:amd64 (0.12.15-1), linux-headers-4.9.0-6-common:amd64 (4.9.88-1+deb9u1)
End-Date: 2018-09-04  22:06:35

Start-Date: 2018-09-06  20:52:07
Commandline: packagekit role='update-packages'
Upgrade: liblcms2-2:amd64 (2.8-4, 2.8-4+deb9u1), liblcms2-utils:amd64 (2.8-4, 2.8-4+deb9u1), libcurl3-gnutls:amd64 (7.52.1-5+deb9u6, 7.52.1-5+deb9u7)
End-Date: 2018-09-06  20:52:09

Start-Date: 2018-09-06  22:15:48
Commandline: /usr/sbin/synaptic
Requested-By: familie (1000)
Install: sound-juicer:amd64 (3.22.1-1+b1)
End-Date: 2018-09-06  22:15:50

Start-Date: 2018-09-06  23:41:10
Commandline: packagekit role='remove-packages'
Requested-By: familie (1000)
Remove: gnome-dictionary:amd64 (3.20.0-3+b1)
End-Date: 2018-09-06  23:41:11

Start-Date: 2018-09-06  23:42:20
Commandline: packagekit role='remove-packages'
Requested-By: familie (1000)
Remove: gnome-documents:amd64 (3.22.1-1)
End-Date: 2018-09-06  23:42:21

Start-Date: 2018-09-06  23:43:16
Commandline: packagekit role='remove-packages'
Requested-By: familie (1000)
Remove: evince:amd64 (3.22.1-3+deb9u1)
End-Date: 2018-09-06  23:43:17

Start-Date: 2018-09-06  23:49:18
Commandline: packagekit role='remove-packages'
Remove: aisleriot:amd64 (1:3.22.1-1)
End-Date: 2018-09-06  23:49:20

Start-Date: 2018-09-08  17:28:13
Commandline: apt upgrade
Upgrade: libgs9:amd64 (9.20~dfsg-3.2+deb9u2, 9.20~dfsg-3.2+deb9u4), ghostscript:amd64 (9.20~dfsg-3.2+deb9u2, 9.20~dfsg-3.2+deb9u4), libgs9-common:amd64 (9.20~dfsg-3.2+deb9u2, 9.20~dfsg-3.2+deb9u4), firefox-esr-l10n-nl:amd64 (52.9.0esr-1~deb9u1, 60.2.0esr-1~deb9u2), firefox-esr:amd64 (52.9.0esr-1~deb9u1, 60.2.0esr-1~deb9u2)
End-Date: 2018-09-08  17:28:20

Start-Date: 2018-09-08  17:28:39
Commandline: apt autoremove
Remove: gir1.2-gdata-0.0:amd64 (0.17.6-2), gir1.2-zpj-0.0:amd64 (0.0.3-3), gir1.2-gepub-0.4:amd64 (0.4-1), gir1.2-rest-0.7:amd64 (0.8.0-2), unoconv:amd64 (0.7-1.1), libgdict-common:amd64 (3.20.0-3), libgdict-1.0-10:amd64 (3.20.0-3+b1), libgepub0:amd64 (0.4-1), evince-common:amd64 (3.22.1-3+deb9u1), gir1.2-goa-1.0:amd64 (3.22.5-1)
End-Date: 2018-09-08  17:28:41

Start-Date: 2018-09-09  22:42:04
Commandline: packagekit role='remove-packages'
Requested-By: familie (1000)
Remove: gnome-music:amd64 (3.22.2-1)
End-Date: 2018-09-09  22:42:05

Start-Date: 2018-09-09  22:43:45
Commandline: packagekit role='remove-packages'
Remove: rhythmbox-plugins:amd64 (3.4.1-2+b1), rhythmbox:amd64 (3.4.1-2+b1), rhythmbox-plugin-cdrecorder:amd64 (3.4.1-2+b1)
End-Date: 2018-09-09  22:43:46

Start-Date: 2018-09-09  22:47:46
Commandline: packagekit role='remove-packages'
Remove: darktable:amd64 (2.4.3-1~bpo9+1)
End-Date: 2018-09-09  22:47:48

Start-Date: 2018-09-09  22:49:09
Commandline: packagekit role='remove-packages'
Remove: dconf-editor:amd64 (3.22.3-1), dconf-tools:amd64 (0.26.0-2)
End-Date: 2018-09-09  22:49:11

Start-Date: 2018-09-09  22:50:28
Commandline: packagekit role='remove-packages'
Remove: eog:amd64 (3.20.5-1+b1)
End-Date: 2018-09-09  22:50:29

Start-Date: 2018-09-09  22:51:35
Commandline: packagekit role='remove-packages'
Remove: filezilla:amd64 (3.24.0-1)
End-Date: 2018-09-09  22:51:36

Start-Date: 2018-09-09  22:53:43
Commandline: packagekit role='remove-packages'
Remove: gedit:amd64 (3.22.0-2), gedit-plugins:amd64 (3.22.0-1)
End-Date: 2018-09-09  22:53:44

Start-Date: 2018-09-09  22:57:10
Commandline: packagekit role='remove-packages'
Remove: gnome-chess:amd64 (1:3.22.2-1+b1), gnome-games:amd64 (1:3.22+3)
End-Date: 2018-09-09  22:57:11

Start-Date: 2018-09-09  22:58:31
Commandline: packagekit role='remove-packages'
Remove: gnome-contacts:amd64 (3.22.1-1+b2)
End-Date: 2018-09-09  22:58:32

Start-Date: 2018-09-09  23:01:11
Commandline: packagekit role='remove-packages'
Remove: gnome-clocks:amd64 (3.22.1-1)
End-Date: 2018-09-09  23:01:12

Start-Date: 2018-09-12  10:55:42
Commandline: apt install lightdm
Install: lightdm-gtk-greeter:amd64 (2.0.2-1, automatic), lightdm:amd64 (1.18.3-1), liblightdm-gobject-1-0:amd64 (1.18.3-1, automatic)
End-Date: 2018-09-12  10:55:45

Start-Date: 2018-09-12  16:31:46
Commandline: apt install nvidia-detect
Install: nvidia-detect:amd64 (384.130-1)
End-Date: 2018-09-12  16:31:47

Start-Date: 2018-09-17  20:19:05
Commandline: apt upgrade
Upgrade: intel-microcode:amd64 (3.20180703.2~deb9u1, 3.20180807a.1~deb9u1), libgs9:amd64 (9.20~dfsg-3.2+deb9u4, 9.20~dfsg-3.2+deb9u5), ghostscript:amd64 (9.20~dfsg-3.2+deb9u4, 9.20~dfsg-3.2+deb9u5), libgs9-common:amd64 (9.20~dfsg-3.2+deb9u4, 9.20~dfsg-3.2+deb9u5)
End-Date: 2018-09-17  20:19:16

Start-Date: 2018-09-17  20:19:39
Commandline: apt autoremove
Remove: libgraphicsmagick-q16-3:amd64 (1.3.25-8), libfolks-eds25:amd64 (0.11.3-2), gir1.2-gucharmap-2.90:amd64 (1:9.0.2-1), gir1.2-tracker-1.0:amd64 (1.10.5-1), gir1.2-git2-glib-1.0:amd64 (0.24.4-1), libfolks-telepathy25:amd64 (0.11.3-2), python3-mako:amd64 (1.0.6+ds1-2), libpugixml1v5:amd64 (1.7-2), folks-common:amd64 (0.11.3-2), libgspell-1-common:amd64 (1.2.2-1), libfolks25:amd64 (0.11.3-2), gir1.2-zeitgeist-2.0:amd64 (0.9.16-0.2+b1), libwxgtk3.0-0v5:amd64 (3.0.2+dfsg-4), libgpod4:amd64 (0.8.3-8.2), libflickcurl0:amd64 (1.26-2+deb9u1), gir1.2-rb-3.0:amd64 (3.4.1-2+b1), hoichess:amd64 (0.19.0-5+b1), rhythmbox-data:amd64 (3.4.1-2), libjs-scriptaculous:amd64 (1.9.0-2), libosmgpsmap-1.0-1:amd64 (1.1.0-1), libgpod-common:amd64 (0.8.3-8.2), python3-markupsafe:amd64 (0.23-3), libjs-prototype:amd64 (1.7.1-3), gedit-common:amd64 (3.22.0-2), libwxbase3.0-0v5:amd64 (3.0.2+dfsg-4), libgspell-1-1:amd64 (1.2.2-1), filezilla-common:amd64 (3.24.0-1), libfilezilla0:amd64 (0.9.0-1), libgsound0:amd64 (1.0.2-1+b1), gir1.2-mediaart-2.0:amd64 (1.9.0-2), librhythmbox-core10:amd64 (3.4.1-2+b1), libsgutils2-2:amd64 (1.42-2), gir1.2-grilo-0.3:amd64 (0.3.2-2), libgit2-glib-1.0-0:amd64 (0.24.4-1), xboard:amd64 (4.9.1-1), libgit2-24:amd64 (0.25.1+really0.24.6-1), fairymax:amd64 (5.0b-1)
End-Date: 2018-09-17  20:19:50

Start-Date: 2018-09-19  17:02:06
Commandline: packagekit role='install-packages'
Requested-By: familie (1000)
Install: airstrike-common:amd64 (0.99+1.0pre6a-8, automatic), airstrike:amd64 (0.99+1.0pre6a-8)
End-Date: 2018-09-19  17:02:07

Start-Date: 2018-09-19  17:06:18
Commandline: packagekit role='remove-packages'
Requested-By: familie (1000)
Remove: airstrike:amd64 (0.99+1.0pre6a-8)
End-Date: 2018-09-19  17:06:19

Start-Date: 2018-09-22  14:49:04
Commandline: apt upgrade
Upgrade: libkpathsea6:amd64 (2016.20160513.41080.dfsg-2, 2016.20160513.41080.dfsg-2+deb9u1)
End-Date: 2018-09-22  14:49:05

Start-Date: 2018-09-22  21:30:59
Commandline: /usr/sbin/synaptic
Requested-By: familie (1000)
Remove: bumblebee-nvidia:amd64 (3.2.1-14)
End-Date: 2018-09-22  21:31:10

Start-Date: 2018-09-22  21:33:01
Commandline: apt upgrade
Upgrade: libarchive-zip-perl:amd64 (1.59-1, 1.59-1+deb9u1)
End-Date: 2018-09-22  21:33:03

Start-Date: 2018-09-22  21:38:44
Commandline: apt install bumblebee-nvidia
Install: bumblebee-nvidia:amd64 (3.2.1-14)
End-Date: 2018-09-22  21:38:54

Start-Date: 2018-09-24  21:02:18
Commandline: apt upgrade
Upgrade: firefox-esr-l10n-nl:amd64 (60.2.0esr-1~deb9u2, 60.2.1esr-1~deb9u1), firefox-esr:amd64 (60.2.0esr-1~deb9u2, 60.2.1esr-1~deb9u1)
End-Date: 2018-09-24  21:02:26

Start-Date: 2018-09-24  21:03:29
Commandline: apt install inxi
Install: inxi:amd64 (2.3.5-1), hddtemp:amd64 (0.3-beta15-52+b1, automatic), lm-sensors:amd64 (1:3.4.0-4, automatic)
End-Date: 2018-09-24  21:03:31

Start-Date: 2018-09-24  22:01:10
Commandline: apt install gedit
Install: gedit:amd64 (3.22.0-2), libgspell-1-common:amd64 (1.2.2-1, automatic), gedit-common:amd64 (3.22.0-2, automatic), libgspell-1-1:amd64 (1.2.2-1, automatic)
End-Date: 2018-09-24  22:01:14


I didn't change the repository before the problem occurred. Do you see anything useful in the history log? I'm curious!
HP Pavilion Entertainment PC d7 4GB 64bits, containing Debian Jessie (Gnome 3), Ubuntu 15.10 (xfce) and Windows Vista
HP Envy 17 n120nd containing Debian Stretch (Gnome 3)
canti
 
Posts: 69
Joined: 2011-01-31 12:57
Location: The Netherlands

Re: blank screen after logging in

Postby sunrat » 2018-09-25 00:56

I don't see anything nasty but someone else may. The big updates were mainly LibreOffice from backports.
Bumblebee issues seems to be a regular topic here. Maybe someone who uses it can help more.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 2495
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: blank screen after logging in

Postby HankB » 2018-10-24 02:13

Have you updated from a previous Debian version while using the same $HOME directory? I ask because I ran into similar difficulties because old configuration settings conflicted with a newer version of Gnome. I was able to verify this by creating another user and logging in with the various desktops to see if they worked. They did.

Even if you have not upgraded, it might be something to test so you can differentiate system configuration vs. user config problems.
HankB
 
Posts: 46
Joined: 2012-03-07 15:15


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 6 guests

fashionable